# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ffm"
version = "0.1.6"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A blazing-fast terminal file manager with three-panel layout, fuzzy search, multi-select, and full keyboard control"
homepage = "https://github.com/SMOLDEVI/FastyFileManager"
readme = "README.md"
keywords = [
    "file-manager",
    "tui",
    "terminal",
    "ratatui",
    "file-explorer",
]
categories = [
    "command-line-utilities",
    "filesystem",
]
license = "MIT"
repository = "https://github.com/SMOLDEVI/FastyFileManager"

[[bin]]
name = "ffm"
path = "src/main.rs"

[dependencies.crossterm]
version = "0.29.0"

[dependencies.directories]
version = "6.0.0"

[dependencies.open]
version = "5.3.3"

[dependencies.ratatui]
version = "0.30.0-beta.0"

[dependencies.serde]
version = "1.0.228"
features = [
    "default",
    "derive",
]

[dependencies.sysinfo]
version = "0.37.2"

[dependencies.toml]
version = "0.9.10"
